Bug 828304 - [abrt] Zim-0.56-1.fc17: pageindex.py:660:select_page:RuntimeError: could not create GtkTreeRowReference object
[abrt] Zim-0.56-1.fc17: pageindex.py:660:select_page:RuntimeError: could not ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:793515f01a2c03a90061ba55cd7...
:
: 844498 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 10:23 EDT by Fred Weigel
Modified: 2013-08-01 05:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:57:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
tar.gz with notebook with problem (3.51 KB, application/octet-stream)
2012-06-05 10:09 EDT, Fred Weigel
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 804975 None None None 2012-07-30 22:20:31 EDT

  None (edit)
Description Fred Weigel 2012-06-04 10:23:34 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/zim
executable:     /usr/bin/zim
kernel:         3.3.7-1.fc17.x86_64
time:           Mon 04 Jun 2012 10:20:40 AM EDT
uid:            1000
username:       fred

backtrace:
:pageindex.py:660:select_page:RuntimeError: could not create GtkTreeRowReference object
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageindex.py", line 748, in on_open_page
:    self.treeview.select_page(path, vivificate=True)
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageindex.py", line 660, in select_page
:    rowreference = gtk.TreeRowReference(model, treepath)
:RuntimeError: could not create GtkTreeRowReference object
:
:Local variables in innermost frame:
:vivificate: True
:path: <HistoryPath: Andritz:AndritzPasswords>
:model: <PageTreeStore object at 0x1258e60 (zim+gui+pageindex+PageTreeStore at 0x11cf400)>
:treepath: (1, 3)
:self: <PageTreeView object at 0x123c190 (zim+gui+pageindex+PageTreeView at 0x1296030)>

comment:
:Started ZIM, and opened a notebook.
:Immediately after opening, this error occurs.
:The Notebook has:
:>Item
:->subitem (8 of them)
:Home

smolt_data:
:
:
:General
:=================================
:UUID: 423d57a1-c59f-4d20-8bd7-91a62dd77d8a
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_CA.utf8
:Platform: x86_64
:BogoMIPS: 3325.43
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Atom(TM) CPU N570   @ 1.66GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 28
:Number of CPUs: 4
:CPU Speed: 1666
:System Memory: 984
:System Swap: 1983
:Vendor: Acer
:System: AOD257 V1.14
:Form factor: Notebook
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10172:4133:1424) pci, None, PCI/ISA, NM10 Family LPC Controller
:(32902:2222:32902:4101) pci, iwlwifi, NETWORK, Centrino Wireless-N 100 BGN
:(32902:40977:4133:1424) pci, i915, VIDEO, N10 Family Integrated Graphics Controller
:(32902:40978:4133:1424) pci, None, VIDEO, N10 Family Integrated Graphics Controller
:(32902:10192:4133:1424) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4133:1424) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(4332:33078:4133:1424) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10200:4133:1424) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10196:4133:1424) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:4133:1424) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9288:4133:1424) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(4332:21001:4133:1424) pci, rts_pstor, MISC, N/A
:(32902:10177:4133:1424) pci, ahci, STORAGE, N10/ICH7 Family SATA AHCI Controller
:(32902:10185:4133:1424) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4133:1424) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:40976:4133:1424) pci, agpgart-intel, HOST/PCI, N10 Family DMI Bridge
:(32902:10187:4133:1424) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4133:1424) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dejah-lv_root / ext4 4096 4096 13092922 9983476 9852439 3276800 2873627 2873627
:/dev/mapper/vg_dejah-lv_home WITHHELD ext4 4096 4096 47241431 25576874 23211844 11829248 11605284 11605284
:/dev/sda2 /boot ext4 1024 1024 508745 404861 379261 128016 127744 127744
:
Comment 1 Fred Weigel 2012-06-04 16:02:39 EDT
The notebook had a page which referenced a page that had been moved to another notebook. This left :Unassigned:Page in the notebook. When this was removed, the error goes away.

I will supply the original notebook with the defect, but I need to sanitize it (it contains client login information).
Comment 2 Fred Weigel 2012-06-05 10:09:28 EDT
Created attachment 589534 [details]
tar.gz with notebook with problem

The notebook with the problem is attached. The issue is actually in the Home.txt
page:

    [[Andritz]]
    :Unclassified:Themes

with this, we get the warning on opening the notebook. If this reference is
removed, everything is ok.
Comment 3 Robin Lee 2012-07-30 22:21:21 EDT
*** Bug 844498 has been marked as a duplicate of this bug. ***
Comment 4 Joe 2012-08-28 14:02:35 EDT
This error appears when opening Zim
Although the program does not completely crash, it appears to continue to work normally.


Package: Zim-0.56-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 choufleur 2012-09-04 03:37:45 EDT
launch zim

Package: Zim-0.56-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Cornel Ahlers 2012-10-05 11:06:32 EDT
I clicked on an entry...

Package: Zim-0.56-3.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Robin Lee 2012-10-11 06:07:24 EDT
(In reply to comment #2)
> Created attachment 589534 [details]
> tar.gz with notebook with problem
> 
> The notebook with the problem is attached. The issue is actually in the
> Home.txt
> page:
> 
>     [[Andritz]]
>     :Unclassified:Themes
> 
> with this, we get the warning on opening the notebook. If this reference is
> removed, everything is ok.

I cannot reproduce the problem with 0.57. You may install 0.57 from updates-testing and have a try.
Comment 8 Fred Weigel 2012-11-12 13:13:23 EST
Robin Lee

I had an accident on Oct 11, and am just catching up. Sorry for the delay. I will test 0.57 and report results.
Comment 9 Fedora End Of Life 2013-07-03 23:00:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 05:57:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.